package main

import (
	"net/http"

	"github.com/gin-gonic/gin"
)

var db = make(map[string]string)



/**
 * Alibaba Cloud Toolkit. http://www.aliyun.com/product/cloudtoolkit
 */
func setupRouter() *gin.Engine {
	// Disable Console Color
	// gin.DisableConsoleColor()
	r := gin.Default()

	// Ping test
	r.GET("/ping", func(c *gin.Context) {
		c.String(http.StatusOK, "Alibaba Cloud Toolkit: Hello World.")
	})

	return r
}

func main() {
	r := setupRouter()
	// Listen and Server in 0.0.0.0:8080
	r.Run(":80")
}